<?php defined( '_JEXEC' ) or die( 'Restricted access' );?>

<?php
	$lwPrimary = $this->params->get('lwPrimary');
	$lwSecondary = $this->params->get('lwSecondary');
	$pWidth = $this->params->get('pWidth');
	$lwTheme = $this->params->get('lwTheme');
	$lwMode = $this->params->get('lwMode');
	$lwNavMode = $this->params->get('lwNavMode');
	$lwNavOffset = $this->params->get('lwNavOffset');
	$lwBg = $this->params->get('lwBg');
	$lwScrollAnim = $this->params->get('lwScrollAnim');
	$lwPageLoader = $this->params->get('lwPageLoader');
	$lwScrollProgress = $this->params->get('lwScrollProgress');
	$lwBootstrap = $this->params->get('lwBootstrap');
	$lwAwesome = $this->params->get('lwAwesome');
	$lwMicon = $this->params->get('lwMicon');
	$lwComp = $this->params->get('lwComp');
	$lwGoogleAnalyticsID = $this->params->get('lwGoogleAnalyticsID');
	$lwGoogleMapsID = $this->params->get('lwGoogleMapsID');
	$lwGooglePlacesID = $this->params->get('lwGooglePlacesID');
?>
<?php
	$doc = JFactory::getDocument();
// Add
		if ($lwAwesome) {$doc->addStyleSheet('https://use.fontawesome.com/releases/v5.10.0/css/all.css', $type="text/css");}
			else {$doc->addStyleSheet('https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', $type="text/css");}
		if ($lwMicon) {$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/includes/micon/css/micon.min.css', $type="text/css");}		
		if ($lwBootstrap == 2) {$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/includes/mdb/css/bootstrap.min.css', $type="text/css");}
			else if ($lwBootstrap == 1) {$doc->addStyleSheet('https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css', $type="text/css");}
			else {$doc->addStyleSheet('https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css', $type="text/css");}
		if ($lwBootstrap == 2) {$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/includes/mdb/css/mdb.min.css', $type="text/css");}
		if ($lwComp) {$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/css/compatibility.css', $type="text/css");}
		if ($lwGooglePlacesID) {$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/includes/google-places/google-places.css', $type="text/css");}
		$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/css/lw5-function.css', $type="text/css");
		$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/css/lw5-form.css', $type="text/css");
		$doc->addScript($this->baseurl . '/templates/' . $this->template . '/includes/mdb/js/jquery-3.4.1.min.js');
		$doc->addScript($this->baseurl . '/templates/' . $this->template . '/includes/mdb/js/popper.min.js');
		if ($lwBootstrap == 2) {$doc->addScript($this->baseurl . '/templates/' . $this->template . '/includes/mdb/js/bootstrap.min.js');}
			else if ($lwBootstrap == 1) {$doc->addScript('https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js');}
			else {$doc->addScript('https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js');}
		if ($lwBootstrap == 2) {$doc->addScript($this->baseurl . '/templates/' . $this->template . '/includes/mdb/js/mdb.min.js');}
		if ($lwGooglePlacesID) {$doc->addScript($this->baseurl . '/templates/' . $this->template . '/includes/google-places/google-places.js');}
		if ($lwGoogleMapsID) {$doc->addScript('https://maps.googleapis.com/maps/api/js?v=3.exp&key=' . $lwGoogleMapsID . '&signed_in=true&libraries=places');}
		$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/lw5.js');
	// Remove
		//unset($doc->_scripts[JURI::root(true) . '/media/jui/js/jquery.min.js']);
		//unset($doc->_scripts[JURI::root(true) . '/media/jui/js/jquery-migrate.min.js']);
		//unset($doc->_scripts[JURI::root(true) . '/media/jui/js/jquery-noconflict.js']);
		unset($doc->_scripts[JURI::root(true) . '/media/system/js/caption.js']);
		unset($doc->_scripts[JURI::root(true) . '/media/jui/js/bootstrap.min.js']);
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
	<head>
		<jdoc:include type="head" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/themes/<?php echo ($lwTheme); ?>" type="text/css" class="changeme" />
        <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/style.css" type="text/css" />
		<meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0">
		<style>
			html {
				<?php 
				if ($lwPrimary) {echo "--primary: $lwPrimary !important;";};
				if ($lwSecondary) {echo "--secondary: $lwSecondary !important;";};
				?>
			}
		</style>
    </head>

    <body class="<?php echo ($lwMode); ?> <?php echo ($lwBg); ?>">
		
		<?php 
			if ($lwPageLoader) {echo "<script>lwPageLoader();</script><div id='pageloader'><div class='spinner'><div class='bounce1'></div><div class='bounce2'></div><div class='bounce3'></div></div></div>";};
		?>

		<?php 
			if ($lwScrollProgress) {echo "<div class='lw-progress-container'><div class='lw-progress-bar' id='lwProgressBar'></div></div>";};
		?>
		
		<nav id="lw-topnav" class="<?php echo ($lwNavMode); ?>" style="<?php if ($lwNavOffset) {echo "top: $lwNavOffset";}; ?>">
		  <div class="nav-btn"><i class="fas fa-chevron-circle-down"></i></div>
		  <div id="lw-navmods">
			  <div id="logo"><jdoc:include type="modules" name="navlogo" /></div>
			  <div id="nav"><jdoc:include type="modules" name="nav" /></div>
		  </div>
		</nav>
		
		<div id="wrapper">
			
			<header>
				<jdoc:include type="modules" name="header" />
			</header>

			<div id="contentWrap">
				<main id="content" style="max-width:<?php echo ($pWidth); ?>">
					<?php if ($this->countModules('precontent')): ?>
						<div id="precontent"><jdoc:include type="modules" name="precontent" /></div>
					<?php endif; ?>
					<jdoc:include type="message" />
					<jdoc:include type="component" />
					<?php if ($this->countModules('postcontent')): ?>
						<div id="postcontent"><jdoc:include type="modules" name="postcontent" /></div>
					<?php endif; ?>
				</main>
				<?php if ($this->countModules('left')): ?>
					<aside id="leftSidebar" class="sidebar"><div class="sidebarContent"><jdoc:include type="modules" name="left" /></div></aside>
				<?php endif; ?>
				<?php if ($this->countModules('right')): ?>
					<aside id="rightSidebar" class="sidebar"><div class="sidebarContent"><jdoc:include type="modules" name="right" /></div></aside>
				<?php endif; ?>
			</div>

			<footer id="footer">
				<jdoc:include type="modules" name="footer" />
			</footer>
        
		</div>
				
		<div id="float">
			<div id="easy-top">
				<svg class="img-fluid" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 640 640" xml:space="preserve" enable-background="new 0 0 640 640">
				  <path class="lw-top-arrow" d="M320 0L0 384h192v256h256V384h192L320 0z"/>
				</svg>
			</div>
			<jdoc:include type="modules" name="float" />
		</div>
		
		<?php if ($this->countModules('custom')): ?>
			<div id="custom">
				<jdoc:include type="modules" name="custom" />
			</div>
		<?php endif; ?>
        
		<div id="code">
			<jdoc:include type="modules" name="code" />
			<?php 
				if ($lwScrollAnim) {echo "<script>$('#content p, #content img, #content .btn, #content h1, #content h2, #content h3, #content h4, #content li, #content tr, #content span, #content .item-row, #footer p, #footer img, #footer .btn, #footer h1, #footer h2, #footer h3, #footer h4, #footer li, #footer tr, #footer span, #footer .item-row').addClass('wow fadeInUp');</script>";};
			?>
			<script>$('#lw-topnav').scrollupbar();</script>
			<script>new WOW().init();</script>
			<script>window.onload = browserDetect</script>
			
			<?php if ($lwGoogleAnalyticsID) { echo
			'<!-- Global site tag (gtag.js) - Google Analytics -->
			<script async src="https://www.googletagmanager.com/gtag/js?id='.$lwGoogleAnalyticsID.'"></script>
			<script>
			  window.dataLayer = window.dataLayer || [];
			  function gtag(){dataLayer.push(arguments);}
			  gtag(\'js\', new Date());

			  gtag(\'config\', \''.$lwGoogleAnalyticsID.'\');
			</script>
			<!-- End Google Analytics -->';
			}; ?>
				
		</div>
		
    </body>
</html>